Bug 11312 - Quering 500 shares from a MMC results in a hanging smbd process
Quering 500 shares from a MMC results in a hanging smbd process
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: File services
4.2.1
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-06-03 23:03 UTC by Christof Schmitt
Modified: 2015-06-09 19:38 UTC (History)
2 users (show)

See Also:


Attachments
Patch (1.57 KB, patch)
2015-06-04 06:47 UTC, Volker Lendecke
cs: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Christof Schmitt 2015-06-03 23:03:31 UTC
Having 500 shares and trying to query them from the MMC results in a smbd hang:

#0  0x00007f5b6fa3e1e7 in writev () from /lib64/libc.so.6
#1  0x00007f5b70a773db in tstream_bsd_writev_handler (private_data=private_data@entry=0x7f5b74a4e140) at ../lib/tsocket/tsocket_bsd.c:1912
#2  0x00007f5b70a77639 in tstream_bsd_writev_send (mem_ctx=<optimized out>, ev=0x7f5b74968b20, stream=0x7f5b749e0fe0, vector=0x7f5b74a5f000, count=2) at ../lib/tsocket/tsocket_bsd.c:1880
#3  0x00007f5b70a75c6d in tstream_writev_send (mem_ctx=<optimized out>, ev=ev@entry=0x7f5b74968b20, stream=0x7f5b749e0fe0, vector=0x7f5b74a5f000, count=2) at ../lib/tsocket/tsocket.c:695
#4  0x00007f5b6e49af53 in tstream_npa_writev_send (mem_ctx=<optimized out>, ev=0x7f5b74968b20, stream=<optimized out>, vector=0x7f5b74a38720, count=1) at ../libcli/named_pipe_auth/npa_tstream.c:865
#5  0x00007f5b70a75c6d in tstream_writev_send (mem_ctx=<optimized out>, ev=0x7f5b74968b20, stream=0x7f5b749e0ed0, vector=0x7f5b74a38720, count=1) at ../lib/tsocket/tsocket.c:695
#6  0x00007f5b70a761eb in tstream_writev_queue_trigger (req=0x7f5b74a56530, private_data=<optimized out>) at ../lib/tsocket/tsocket_helpers.c:513
#7  0x00007f5b723ae824 in tevent_common_loop_immediate (ev=ev@entry=0x7f5b74968b20) at ../lib/tevent/tevent_immediate.c:135
#8  0x00007f5b70ed0b1c in run_events_poll (ev=0x7f5b74968b20, pollrtn=0, pfds=0x0, num_pfds=0) at ../source3/lib/events.c:192
#9  0x00007f5b70ed0e04 in s3_event_loop_once (ev=0x7f5b74968b20, location=<optimized out>) at ../source3/lib/events.c:303
#10 0x00007f5b723adffd in _tevent_loop_once (ev=ev@entry=0x7f5b74968b20, location=location@entry=0x7f5b72e377e0 "../source3/smbd/process.c:4120") at ../lib/tevent/tevent.c:533
#11 0x00007f5b723ae19b in tevent_common_loop_wait (ev=0x7f5b74968b20, location=0x7f5b72e377e0 "../source3/smbd/process.c:4120") at ../lib/tevent/tevent.c:637
#12 0x00007f5b72cfacb1 in smbd_process (ev_ctx=ev_ctx@entry=0x7f5b74968b20, msg_ctx=msg_ctx@entry=0x7f5b74968c10, sock_fd=sock_fd@entry=43, interactive=interactive@entry=false) at ../source3/smbd/process.c:4120
#13 0x00007f5b7378a27c in smbd_accept_connection (ev=0x7f5b74968b20, fde=<optimized out>, flags=<optimized out>, private_data=<optimized out>) at ../source3/smbd/server.c:750
#14 0x00007f5b70ed0c4c in run_events_poll (ev=0x7f5b74968b20, pollrtn=<optimized out>, pfds=0x7f5b749b3b30, num_pfds=8) at ../source3/lib/events.c:257
#15 0x00007f5b70ed0ea0 in s3_event_loop_once (ev=0x7f5b74968b20, location=<optimized out>) at ../source3/lib/events.c:326
#16 0x00007f5b723adffd in _tevent_loop_once (ev=ev@entry=0x7f5b74968b20, location=location@entry=0x7f5b7378cea4 "../source3/smbd/server.c:1115") at ../lib/tevent/tevent.c:533
#17 0x00007f5b723ae19b in tevent_common_loop_wait (ev=0x7f5b74968b20, location=0x7f5b7378cea4 "../source3/smbd/server.c:1115") at ../lib/tevent/tevent.c:637
#18 0x00007f5b737866b0 in smbd_parent_loop (parent=<optimized out>, ev_ctx=0x7f5b74968b20) at ../source3/smbd/server.c:1115
#19 main (argc=<optimized out>, argv=<optimized out>) at ../source3/smbd/server.c:1757

Volker already provided a fix:
https://lists.samba.org/archive/samba-technical/2015-June/107669.html
Comment 1 Volker Lendecke 2015-06-04 06:47:35 UTC
Created attachment 11121 [details]
Patch
Comment 2 Karolin Seeger 2015-06-06 20:14:02 UTC
Pushed to autobuild-v4-2-test.
Comment 3 Karolin Seeger 2015-06-09 19:38:14 UTC
(In reply to Karolin Seeger from comment #2)
Pushed to v4-2-test.
Closing out bug report.

Thanks!